#ifndef HTTP_REQUEST_HPP
#define HTTP_REQUEST_HPP

#include <string>
#include <vector>
#include "header.hpp"


namespace http::server {
    /// A request received from a client.
    struct Request {
        std::string method;
        std::string uri;
        bool is_keep_alive;
        int http_version_major;
        int http_version_minor;
        std::vector<header> headers;
    };
} // namespace http::Server


#endif // HTTP_REQUEST_HPP
